[mythtv-users] problems installing Mythtv 29 and 0.28 on Debian Buster

Ian Campbell ijc at hellion.org.uk
Wed Jan 9 13:16:17 UTC 2019


On Wed, 2019-01-09 at 12:54 +0000, richard at mail.sheugh.com wrote:
> Hi all,
> 
> I'm running Debian Buster and I'm having problems installing
> Mythtv by following the instructions for ver 29 on the
> mythtv.org website.

FWIW I've always just happily used the debs from deb-multimedia.org on
Debian (currently Buster).

> deps/DEBIAN/control' near line 2 package 'mythtv-build-deps':
>  error in 'Version' field string '2:29.1+fixes.20190109.af5d819671-Version:': invalid character in revision number

It looks like the version number here has a trailing ":". I don't think
a colon is valid in that location (the one at the start, after the
first 2 is fine).

https://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-version

The whole `-Version:` suffix there looks a bit like a variable
substitution gone awry perhaps?

Ian.



More information about the mythtv-users mailing list